Name:           perl-Time-ParseDate
Version:        2015.103
Release:        1%{?dist}
Summary:        Perl modules for parsing dates and times
# See https://fedoraproject.org/wiki/Licensing/TPDL
License:        TPDL and Public Domain
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Time-ParseDate/

Source0:        http://www.cpan.org/authors/id/M/MU/MUIR/modules/Time-ParseDate-%{version}.tar.gz
%{?el5:BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)}
BuildArch:      noarch

Provides:       perl-Time-modules = %{version}-%{release}
Obsoletes:      perl-Time-modules <= 2013.0912-3

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(integer)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Testing
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::Local)
BuildRequires:  perl(Time::Piece)
BuildRequires:  perl(warnings)

%description
Time-ParseDate provides several Perl modules, including Time::CTime,
Time::DaysInMonth, Time::JulianDay, Time::ParseDate, and Time::Timezone.
These modules can be useful for parsing and manipulating dates and times.
There are numerous options to control what is recognized and what is not.

%prep
%setup -q -n Time-ParseDate-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%if 0%{?el5}
rm -rf $RPM_BUILD_ROOT
%endif
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%if 0%{?el5}
%clean
rm -rf $RPM_BUILD_ROOT
%endif

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jun 08 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 2015.103-1
- Rebuilt for Rutgers CentOS 7

* Tue Nov 10 2015 Denis Fateyev <denis@fateyev.com> - 2015.103-1
- Update to 2015.103 release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.1113-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2013.1113-4
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2013.1113-3
- Perl 5.20 rebuild

* Tue Jul 01 2014 Denis Fateyev <denis@fateyev.com> - 2013.1113-2
- Specfile improvements and cleanup

* Tue Feb 18 2014 Denis Fateyev <denis@fateyev.com> - 2013.1113-1
- Specfile autogenerated by cpanspec 1.78.
